Package org.apache.lucene.spatial.prefix

## Class CellToBytesRefIterator

- java.lang.Object
- - org.apache.lucene.spatial.prefix.CellToBytesRefIterator

- All Implemented Interfaces:
    `BytesRefIterator`

      public class CellToBytesRefIterator
      extends Object
      implements BytesRefIterator

  A reset'able `BytesRefIterator` wrapper around an `Iterator` of `Cell`s.
  See Also:
    `PrefixTreeStrategy.newCellToBytesRefIterator()`
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BytesRef` | `bytesRef` |
    `protected Iterator<Cell>` | `cellIter` |

    - ### Fields inherited from interface org.apache.lucene.util.BytesRefIterator

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CellToBytesRefIterator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BytesRef` | `next()` |
    `void` | `reset​(Iterator<Cell> cellIter)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cellIter

          protected Iterator<Cell> cellIter

    - #### bytesRef

          protected BytesRef bytesRef

  - ### Constructor Detail

    - #### CellToBytesRefIterator

          public CellToBytesRefIterator()

  - ### Method Detail

    - #### reset

          public void reset​(Iterator<Cell> cellIter)

    - #### next

          public BytesRef next()

      Specified by:
        `next` in interface `BytesRefIterator`